### org.jfree.layouting.renderer.model.page

# Class DefaultPageGrid

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.page.DefaultPageGrid`

Implemented Interfaces:
  Cloneable, PageGrid

`public class DefaultPageGrid`
`extends java.lang.Object`
`implements PageGrid`

Creation-Date: 15.06.2006, 16:16:00

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultPageGrid(PageContext pageContext, OutputProcessorMetaData metaData)`

  ## Method Summary

  `Object`

  `clone()`

  `int`

  `getColumnCount()`

  `PhysicalPageBox`

  `getPage(int row, int col)`

  `int`

  `getRowCount()`

## Constructor Details

### DefaultPageGrid

    public DefaultPageGrid(PageContext pageContext,
                           OutputProcessorMetaData metaData)

## Method Details

### clone

    public Object clone()

> Specified by:
>   clone in interface PageGrid

### getColumnCount

    public int getColumnCount()

> Specified by:
>   getColumnCount in interface PageGrid

### getPage

    public PhysicalPageBox getPage(int row,
                                   int col)

> Specified by:
>   getPage in interface PageGrid

### getRowCount

    public int getRowCount()

> Specified by:
>   getRowCount in interface PageGrid